package net.smilingj.xmpp.openfire.exampleextensionplugin.main;

import org.dom4j.Element;
import org.jivesoftware.openfire.IQHandlerInfo;
import org.jivesoftware.openfire.auth.UnauthorizedException;
import org.jivesoftware.openfire.handler.IQHandler;
import org.xmpp.packet.IQ;

public class ExampleIQPacketHandler extends IQHandler {

	public ExampleIQPacketHandler() {
		super("ExampleIQPacket Handler");
	}
	
	@Override
	public IQHandlerInfo getInfo() {
		return new IQHandlerInfo("query", "jabber:iq:exampleiqpacket");
	}

	@Override
	public IQ handleIQ(IQ packet) throws UnauthorizedException {
		IQ reply = IQ.createResultIQ(packet);
		
		Element m = reply.setChildElement("query", "jabber:iq:exampleiqpacket");
		m.addElement("examplecontent").addText("IQ result to ("+packet.getFrom()+")");
		
		return reply;
	}

}
